? security/tcp_wrappers/patches/patch-percent_m_c
Index: security/tcp_wrappers/Makefile
===================================================================
RCS file: /cvs/cvsroot/pkgsrc/security/tcp_wrappers/Makefile,v
retrieving revision 1.37
diff -u -r1.37 Makefile
--- security/tcp_wrappers/Makefile	23 Oct 2012 18:17:00 -0000	1.37
+++ security/tcp_wrappers/Makefile	26 Feb 2014 07:41:58 -0000
@@ -20,6 +20,7 @@
 .include "../../mk/bsd.options.mk"
 
 BUILD_TARGET.${OPSYS}?=	generic		# good luck!
+BUILD_TARGET.Cygwin=	cygwin
 BUILD_TARGET.Darwin=	netbsd
 BUILD_TARGET.Interix=	netbsd
 BUILD_TARGET.Linux=	${LOWER_OPSYS}
Index: security/tcp_wrappers/distinfo
===================================================================
RCS file: /cvs/cvsroot/pkgsrc/security/tcp_wrappers/distinfo,v
retrieving revision 1.17
diff -u -r1.17 distinfo
--- security/tcp_wrappers/distinfo	20 Jul 2012 09:58:36 -0000	1.17
+++ security/tcp_wrappers/distinfo	26 Feb 2014 07:41:58 -0000
@@ -3,7 +3,7 @@
 SHA1 (tcp_wrappers_7.6-ipv6.4.tar.gz) = e82e269337223a001118e5084b05c6c53fe53dc5
 RMD160 (tcp_wrappers_7.6-ipv6.4.tar.gz) = 7bc5617c0e2833dd60c2fdc681f4890df5a9ac4b
 Size (tcp_wrappers_7.6-ipv6.4.tar.gz) = 138700 bytes
-SHA1 (patch-aa) = 6bc6f0523b4e8c31a4b02af948f285e800d5c59b
+SHA1 (patch-aa) = f0564a5e75855598fbd94ba068823f56cd254ecc
 SHA1 (patch-ab) = b05733e5e615bd3009045ecef4d4e988c8df6236
 SHA1 (patch-ac) = a9cd493a470782e8f6bdd38fde6c746fb1e371c0
 SHA1 (patch-af) = 1bf946174b027880014e64aa9b84dcfa5ca951a0
@@ -12,3 +12,4 @@
 SHA1 (patch-ai) = f5a675f8fd1cc7e4e735dc8a9804f1dcf8d276bc
 SHA1 (patch-aj) = 6332edd3e464d0f68bfa10dc6724346d0bc05f1f
 SHA1 (patch-fix_options.c) = ce49ff5b4b1e26eb7634e61fa33ad4697917fbcb
+SHA1 (patch-percent_m_c) = 9193d162f2b8523c6d70b69dbee6c94807807335
Index: security/tcp_wrappers/patches/patch-aa
===================================================================
RCS file: /cvs/cvsroot/pkgsrc/security/tcp_wrappers/patches/patch-aa,v
retrieving revision 1.11
diff -u -r1.11 patch-aa
--- security/tcp_wrappers/patches/patch-aa	20 Jul 2012 09:58:36 -0000	1.11
+++ security/tcp_wrappers/patches/patch-aa	26 Feb 2014 07:41:58 -0000
@@ -1,7 +1,7 @@
 $NetBSD: patch-aa,v 1.11 2012/07/20 09:58:36 adam Exp $
 
---- Makefile.orig	2003-04-16 14:25:03.000000000 +0000
-+++ Makefile
+--- Makefile.orig	2003-04-16 23:25:03.000000000 +0900
++++ Makefile	2014-02-26 16:31:59.179900000 +0900
 @@ -44,7 +44,7 @@ what:
  #REAL_DAEMON_DIR=/usr/etc
  #
@@ -11,7 +11,19 @@
  #
  # BSD 4.4
  #REAL_DAEMON_DIR=/usr/libexec
-@@ -603,7 +603,7 @@ ACCESS	= -DHOSTS_ACCESS
+@@ -146,6 +146,11 @@ linux:
+ 	LIBS= RANLIB=ranlib ARFLAGS=rv AUX_OBJ=setenv.o \
+ 	NETGROUP= TLI= EXTRA_CFLAGS="-DBROKEN_SO_LINGER -DUSE_STRERROR" all
+ 
++cygwin:
++	@make REAL_DAEMON_DIR=$(REAL_DAEMON_DIR) STYLE=$(STYLE) \
++	LIBS= RANLIB=ranlib ARFLAGS=rv AUX_OBJ=setenv.o \
++	NETGROUP= TLI= EXTRA_CFLAGS="-DBROKEN_SO_LINGER -DUSE_STRERROR -DUSE_GETDOMAIN -DUSE_GETHOSTBYNAME2" all
++
+ # This is good for many SYSV+BSD hybrids with NIS, probably also for HP-UX 7.x.
+ hpux hpux8 hpux9 hpux10:
+ 	@make REAL_DAEMON_DIR=$(REAL_DAEMON_DIR) STYLE=$(STYLE) \
+@@ -603,7 +608,7 @@ ACCESS	= -DHOSTS_ACCESS
  # look for access control information. Watch out for the quotes and
  # backslashes when you make changes.
  
@@ -20,7 +32,7 @@
  
  ####################################################
  # Optional: dealing with host name/address conflicts
-@@ -670,9 +670,9 @@ HOSTNAME= -DALWAYS_HOSTNAME
+@@ -670,9 +675,9 @@ HOSTNAME= -DALWAYS_HOSTNAME
  # Protection against weird shells or weird make programs.
  
  SHELL	= /bin/sh
@@ -32,7 +44,7 @@
  	$(BUGS) $(SYSTYPE) $(AUTH) $(UMASK) \
  	-DREAL_DAEMON_DIR=\"$(REAL_DAEMON_DIR)\" $(STYLE) $(KILL_OPT) \
  	-DSEVERITY=$(SEVERITY) -DRFC931_TIMEOUT=$(RFC931_TIMEOUT) \
-@@ -697,7 +697,7 @@ KIT	= README miscd.c tcpd.c fromhost.c h
+@@ -697,7 +702,7 @@ KIT	= README miscd.c tcpd.c fromhost.c h
  	refuse.c tcpdchk.8 setenv.c inetcf.c inetcf.h scaffold.c \
  	scaffold.h tcpdmatch.8 README.NIS
  
@@ -41,7 +53,7 @@
  
  all other: config-check tcpd tcpdmatch try-from safe_finger tcpdchk
  
-@@ -714,31 +714,29 @@ config-check:
+@@ -714,31 +719,29 @@ config-check:
  cflags: config-check
  
  $(LIB):	$(LIB_OBJ)
